Subject: Re: bug#17991: shell-mode: fails to recognize .bashrc files as shell scripts

From: Andreas Schwab <[email-masked]>
Date: Fri, 11 Jul 2014 14:52:39 +0200

Andrew Pennebaker <[email-masked]> writes:

> My current workaround is to manually add (.\bashrc|\.profile).* to
> auto-mode-alist. I just wish this were the default pattern.

I don't consider this a workaround, but rather the correct way to handle
such personal preferences.

> ... is there another convention for naming multiple bash configs, per
> machine, that matches the existing patterns? I guess I could use ".
> bashrc.android.sh", ugly but functional.

Since the shell is a full programming language, there are no limits in
what people will do with the startup scripts.

Andreas.

-- 
Andreas Schwab, [email-masked]
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."